/*
 * Copyright 2013 Torindo Nesci.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.flamenk.histogram;

import com.flamenk.dom.HtmlNode;
import java.util.List;

/**
 * A {@link HtmlNode} tokenizer.
 * It transforms the html node into a list of html tokens.
 *
 * @author Torindo Nesci
 */
public interface HtmlNodeTokenizer {

  /**
   * Transforms the input node into a list of html tokens.
   *
   * @param node The html node.
   * @return A list of html tokens.
   */
  List<Token> tokenize(HtmlNode node);
  
}
