package com.flamenk.histogram;

/**
 * Represents a html tag type. It can be one of the following
 * <table border="1">
 *  <tr>
 *     <td>Opening</td>
 *     <td>It is an opening tag: <code>{@literal <a href="www.flamenk.com">}</code></td>
 *  </tr>
 *  <tr>
 *     <td>Closing</td>
 *     <td>It's a closing tag: <code>{@literal </a>}</code></td>
 *  </tr>
 *   <tr>
 *     <td>Empty</td>
 *     <td>It's an empty tag: <code>{@literal <img src="www.flamenk.com/logo.ico"/>}</code></td>
 *  </tr>
 *
 * </table>
 * @author Torindo Nesci
 */
public enum TagType {
  /** Opening tag: <code>{@literal <a href="www.flamenk.com">}</code> */
  OPENING,
  /** Closing tag: {@literal </a>} */
  CLOSING,
  /** Empty tag: <code>{@literal <img src="www.flamenk.com/logo.ico"/>}</code> */
  EMPTY
}
